package at.ac.uibk.gitsearch.repository.jpa;

import at.ac.uibk.gitsearch.domain.ReviewRating;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * Spring Data SQL repository for the ReviewRating entity.
 */
@Repository
public interface ReviewRatingRepository extends JpaRepository<ReviewRating, Long>, JpaSpecificationExecutor<ReviewRating> {
    @Query("select reviewRating from ReviewRating reviewRating where reviewRating.user.login = ?#{principal.username}")
    List<ReviewRating> findByUserIsCurrentUser();
}
